Debian Bug report logs - #630894
ax25spyd: Doesn't allow commercial use or distribution

version graph

Package: ax25spyd; Maintainer for ax25spyd is Sebastian Muszynski <do2ksm@linkt.de>;

Reported by: Sam Geeraerts <samgee@elmundolibre.be>

Date: Sat, 18 Jun 2011 14:27:02 UTC

Severity: serious

Found in version ax25spyd/0.23-8

Fixed in version 0.23-8+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Sat, 18 Jun 2011 14:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
New Bug report received and forwarded. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Sat, 18 Jun 2011 14:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ax25spyd: Doesn't allow commercial use or distribution
Date: Sat, 18 Jun 2011 16:22:45 +0200
Package: ax25spyd
Version: 0.23-8
Severity: serious
Justification: Policy 2.1.6
User: gnewsense-dev@nongnu.org
Usertags: gnewsense libreplanet

The file src/ripdump.c has the following license notice:

 *  Changes Copyright (c) 1993 Jeff White - N0POY, All Rights Reserved.
 *  Permission granted for non-commercial copying and use, provided
 *  this notice is retained.

Prohibiting commercial use and distribution is not in accordance with DFSG.

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ax25spyd depends on:
ii  libax25                   0.0.11-6.1     ax25 library for hamradio applicat
ii  libc6                     2.11.2-6       Embedded GNU C Library: Shared lib
ii  libncurses5               5.7+20100313-3 shared libraries for terminal hand

ax25spyd recommends no packages.

ax25spyd suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Sat, 18 Jun 2011 14:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Muszynski <basti@linkt.de>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Sat, 18 Jun 2011 14:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 630894@bugs.debian.org (full text, mbox):

From: Sebastian Muszynski <basti@linkt.de>
To: jwhite@ghq.com
Cc: Sam Geeraerts <samgee@elmundolibre.be>, 630894@bugs.debian.org
Subject: Re: Bug#630894: ax25spyd: Doesn't allow commercial use or distribution
Date: Sat, 18 Jun 2011 16:37:46 +0200
[Message part 1 (text/plain, inline)]
Hi Jeff, 

it is possible to change the license of your ripdump-Implementation used and 
distributed in ax25spyd. Thanks in advance!

Regards, 

Sebastian

Am Samstag, 18. Juni 2011 schrieb Sam Geeraerts:
> Package: ax25spyd
> Version: 0.23-8
> Severity: serious
> Justification: Policy 2.1.6
> User: gnewsense-dev@nongnu.org
> Usertags: gnewsense libreplanet
> 
> The file src/ripdump.c has the following license notice:
> 
>  *  Changes Copyright (c) 1993 Jeff White - N0POY, All Rights Reserved.
>  *  Permission granted for non-commercial copying and use, provided
>  *  this notice is retained.
> 
> Prohibiting commercial use and distribution is not in accordance with DFSG.
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers stable
>   APT policy: (500, 'stable')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
> Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages ax25spyd depends on:
> ii  libax25                   0.0.11-6.1     ax25 library for hamradio
> applicat ii  libc6                     2.11.2-6       Embedded GNU C
> Library: Shared lib ii  libncurses5               5.7+20100313-3 shared
> libraries for terminal hand
> 
> ax25spyd recommends no packages.
> 
> ax25spyd suggests no packages.
> 
> -- no debconf information


-- 
Keine Milch und keinen Mist, gibt die Kuh, die nicht mehr ist.
[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Sun, 19 Jun 2011 12:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Sun, 19 Jun 2011 12:33:08 GMT) Full text and rfc822 format available.

Message #15 received at 630894@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: 630894@bugs.debian.org
Subject: See also ax25-apps
Date: Sun, 19 Jun 2011 14:30:59 +0200
Note that the same file exists also in ax25-apps. See bug report #630893.




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Sat, 03 Mar 2012 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javi Merino <vicho@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Sat, 03 Mar 2012 22:09:03 GMT) Full text and rfc822 format available.

Message #20 received at 630894@bugs.debian.org (full text, mbox):

From: Javi Merino <vicho@debian.org>
To: 630894@bugs.debian.org
Subject: ax25spyd filed for removal
Date: Sat, 3 Mar 2012 22:07:36 +0000
[Message part 1 (text/plain, inline)]
Filed for removal http://bugs.debian.org/662055
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Sun, 04 Mar 2012 08:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Muszynski <basti@linkt.de>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Sun, 04 Mar 2012 08:48:04 GMT) Full text and rfc822 format available.

Message #25 received at 630894@bugs.debian.org (full text, mbox):

From: Sebastian Muszynski <basti@linkt.de>
To: Javi Merino <vicho@debian.org>, 630894@bugs.debian.org
Subject: Re: Bug#630894: ax25spyd filed for removal
Date: Sun, 4 Mar 2012 09:35:24 +0100
[Message part 1 (text/plain, inline)]
Hi Javi, 

I will remove the ripdump-Implementation from ax25spyd ASAP. 
It is possible to cancel the removal request?

Regards, 

Sebsatian
[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 04 Mar 2012 11:01:53 GMT) Full text and rfc822 format available.

Notification sent to Sam Geeraerts <samgee@elmundolibre.be>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 11:01:54 GMT) Full text and rfc822 format available.

Message #30 received at 630894-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 580142-done@bugs.debian.org,630894-done@bugs.debian.org,
Cc: ax25spyd@packages.debian.org, ax25spyd@packages.qa.debian.org
Subject: Bug#662055: Removed package(s) from unstable
Date: Sun, 04 Mar 2012 10:57:37 +0000
Version: 0.23-8+rm

Dear submitter,

as the package ax25spyd has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/662055

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Tue, 06 Mar 2012 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Tue, 06 Mar 2012 18:57:03 GMT) Full text and rfc822 format available.

Message #35 received at 630894@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: Sebastian Muszynski <basti@linkt.de>, 630894@bugs.debian.org
Subject: Re: Bug#630894: ax25spyd filed for removal
Date: Tue, 06 Mar 2012 19:54:39 +0100
Sebastian Muszynski wrote:
> I will remove the ripdump-Implementation from ax25spyd ASAP. 
> It is possible to cancel the removal request?

Hi Sebastian,

Do you plan to re-introduce this package with the non-free code removed?




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Tue, 06 Mar 2012 21:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Muszynski <basti@linkt.de>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Tue, 06 Mar 2012 21:30:03 GMT) Full text and rfc822 format available.

Message #40 received at 630894@bugs.debian.org (full text, mbox):

From: Sebastian Muszynski <basti@linkt.de>
To: Sam Geeraerts <samgee@elmundolibre.be>, 630894@bugs.debian.org
Subject: Re: Bug#630894: ax25spyd filed for removal
Date: Tue, 6 Mar 2012 22:27:36 +0100
[Message part 1 (text/plain, inline)]
Am Dienstag, 6. März 2012 schrieb Sam Geeraerts:
> Sebastian Muszynski wrote:
> > I will remove the ripdump-Implementation from ax25spyd ASAP.
> > It is possible to cancel the removal request?
> Do you plan to re-introduce this package with the non-free code removed?

I'd like to give it a try. But it will last some time. 

Regards, 

Sebastian
[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Sun, 18 Mar 2012 21:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Ouellette <pat@flying-gecko.net>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Sun, 18 Mar 2012 21:45:09 GMT) Full text and rfc822 format available.

Message #45 received at 630894@bugs.debian.org (full text, mbox):

From: Patrick Ouellette <pat@flying-gecko.net>
To: Sam Geeraerts <samgee@elmundolibre.be>
Cc: jwhite@white.nu, ralf@linux-mips.org, ax25@x-berg.in-berlin.de, 630893@bugs.debian.org, 630894@bugs.debian.org
Subject: Re: Bug#630893: ax25-apps: Should be removed from main
Date: Sun, 18 Mar 2012 17:41:28 -0400
Sam,

I just talked to Jeff on the telephone.  The email is from him.
He does wish to release the code under a BSD license.

I have included in the Cc list of this message Jeff, the maintainers of
the upstream ax25-apps, ax25-tools, and libax25 (Ralf and Thomas).
I would expect an email from Jeff (reply all) stating his intention that
the code he contributed to ripdump.c in 4/1993 be released under a BSD
license should be sufficient.  It would be good if the email were signed by 
a gpg or pgp key owned by Jeff if possible.  If something else needs to be
done, someone else needs to let Jeff know.

I want to thank Jeff again for agreeing to release the code under a license 
that allows it to remain in the main Debian free software repository.

Pat

On Sun, Mar 18, 2012 at 01:37:35PM +0100, Sam Geeraerts wrote:
> Date: Sun, 18 Mar 2012 13:37:35 +0100
> From: Sam Geeraerts <samgee@elmundolibre.be>
> Subject: Re: Bug#630893: ax25-apps: Should be removed from main
> To: Patrick Ouellette <pouelle@debian.org>
> CC: Sebastian Muszynski <basti@linkt.de>
> 
> Patrick Ouellette wrote:
> >We are working on a resolution to the issue.
> 
> Hi Patrick,
> 
> Have you been in contact with Jeff White? I believe Sebastian didn't
> get a response with his attempt in June 2011.
> 
> I was contacted by a Jeff White, saying he wants to re-release under
> BSD license (see attachment). I don't know if this is the actual
> copyright holder's email address. There's a chance this could be
> some dude trying to be funny.
> 
> I don't know what you're working on with respect to this bug, so I
> thought I'd consult you on how to proceed further. Any suggestions?
> I thought to reply with the 3-clause BSD license, asking him to
> agree to it for ripdump.c and CC both bugs, but that wouldn't verify
> his identity.
> 
> Regards,
> Sam Geeraerts

> Date: Fri, 16 Mar 2012 09:05:05 -0500
> From: Jeff White <jwhite@white.nu>
> Subject: RIP Dump license
> To: samgee@elmundolibre.be
> 
> I am N0POY.  I saw on a search engine you were looking for a license
> release on the code I wrote a long long time ago.  How can I re-release the
> code with a BSD license?
> 
> -- 
> Jeff White
> jwhite@white.nu


-- 
,-----------------------------------------------------------------------------.
> Patrick Ouellette        |  If you have men who will exclude any of God's   <
> pat(at)flying-gecko.net  |  creatures from the shelter of compassion and    <
> Amateur Radio: NE4PO     |  pity, you will have men who will deal likewise  <
>                          |  with their fellow men.  -- Francis of Assisi    <
`-----------------------------------------------------------------------------'




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Sun, 18 Mar 2012 21:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff White <jwhite@white.nu>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Sun, 18 Mar 2012 21:51:14 GMT) Full text and rfc822 format available.

Message #50 received at 630894@bugs.debian.org (full text, mbox):

From: Jeff White <jwhite@white.nu>
To: Patrick Ouellette <pat@flying-gecko.net>
Cc: Sam Geeraerts <samgee@elmundolibre.be>, ralf@linux-mips.org, ax25@x-berg.in-berlin.de, 630893@bugs.debian.org, 630894@bugs.debian.org
Subject: Re: Bug#630893: ax25-apps: Should be removed from main
Date: Sun, 18 Mar 2012 16:48:10 -0500
[Message part 1 (text/plain, inline)]
I release all of my code from the rip-2 project (including ripdump.c) under
the BSD license.

The old ghq.com domain was sold many years ago.  I am N0POY as you can find
myself in the FCC database.

On Sun, Mar 18, 2012 at 4:41 PM, Patrick Ouellette <pat@flying-gecko.net>wrote:

> Sam,
>
> I just talked to Jeff on the telephone.  The email is from him.
> He does wish to release the code under a BSD license.
>
> I have included in the Cc list of this message Jeff, the maintainers of
> the upstream ax25-apps, ax25-tools, and libax25 (Ralf and Thomas).
> I would expect an email from Jeff (reply all) stating his intention that
> the code he contributed to ripdump.c in 4/1993 be released under a BSD
> license should be sufficient.  It would be good if the email were signed by
> a gpg or pgp key owned by Jeff if possible.  If something else needs to be
> done, someone else needs to let Jeff know.
>
> I want to thank Jeff again for agreeing to release the code under a license
> that allows it to remain in the main Debian free software repository.
>
> Pat
>
> On Sun, Mar 18, 2012 at 01:37:35PM +0100, Sam Geeraerts wrote:
> > Date: Sun, 18 Mar 2012 13:37:35 +0100
> > From: Sam Geeraerts <samgee@elmundolibre.be>
> > Subject: Re: Bug#630893: ax25-apps: Should be removed from main
> > To: Patrick Ouellette <pouelle@debian.org>
> > CC: Sebastian Muszynski <basti@linkt.de>
> >
> > Patrick Ouellette wrote:
> > >We are working on a resolution to the issue.
> >
> > Hi Patrick,
> >
> > Have you been in contact with Jeff White? I believe Sebastian didn't
> > get a response with his attempt in June 2011.
> >
> > I was contacted by a Jeff White, saying he wants to re-release under
> > BSD license (see attachment). I don't know if this is the actual
> > copyright holder's email address. There's a chance this could be
> > some dude trying to be funny.
> >
> > I don't know what you're working on with respect to this bug, so I
> > thought I'd consult you on how to proceed further. Any suggestions?
> > I thought to reply with the 3-clause BSD license, asking him to
> > agree to it for ripdump.c and CC both bugs, but that wouldn't verify
> > his identity.
> >
> > Regards,
> > Sam Geeraerts
>
> > Date: Fri, 16 Mar 2012 09:05:05 -0500
> > From: Jeff White <jwhite@white.nu>
> > Subject: RIP Dump license
> > To: samgee@elmundolibre.be
> >
> > I am N0POY.  I saw on a search engine you were looking for a license
> > release on the code I wrote a long long time ago.  How can I re-release
> the
> > code with a BSD license?
> >
> > --
> > Jeff White
> > jwhite@white.nu
>
>
> --
>
> ,-----------------------------------------------------------------------------.
> > Patrick Ouellette        |  If you have men who will exclude any of
> God's   <
> > pat(at)flying-gecko.net  |  creatures from the shelter of compassion
> and    <
> > Amateur Radio: NE4PO     |  pity, you will have men who will deal
> likewise  <
> >                          |  with their fellow men.  -- Francis of Assisi
>    <
>
> `-----------------------------------------------------------------------------'
>



-- 
Jeff White
jwhite@white.nu
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Mon, 19 Mar 2012 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Mon, 19 Mar 2012 18:57:04 GMT) Full text and rfc822 format available.

Message #55 received at 630894@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: Jeff White <jwhite@white.nu>
Cc: Patrick Ouellette <pat@flying-gecko.net>, ralf@linux-mips.org, ax25@x-berg.in-berlin.de, 630893@bugs.debian.org, 630894@bugs.debian.org
Subject: Re: Bug#630893: ax25-apps: Should be removed from main
Date: Mon, 19 Mar 2012 19:53:58 +0100
Jeff White wrote:
> I release all of my code from the rip-2 project (including ripdump.c) under
> the BSD license.

Hi Jeff,

Thanks for relicensing. Just to be clear: by "the BSD license" do you 
mean the (GPL compatible) 3-clause BSD license [1] or the (GPL 
incompatible) 4-clause BSD license [2]? Both packages that use your code 
are under the GPL license, so the 3-clause license is needed.

[1] http://www.gnu.org/licenses/license-list.html#ModifiedBSD
[2] http://www.gnu.org/licenses/license-list.html#OriginalBSD

Regards,
Sam Geeraerts




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Mon, 19 Mar 2012 19:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff White <jwhite@white.nu>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Mon, 19 Mar 2012 19:30:06 GMT) Full text and rfc822 format available.

Message #60 received at 630894@bugs.debian.org (full text, mbox):

From: Jeff White <jwhite@white.nu>
To: Sam Geeraerts <samgee@elmundolibre.be>
Cc: Patrick Ouellette <pat@flying-gecko.net>, ralf@linux-mips.org, ax25@x-berg.in-berlin.de, 630893@bugs.debian.org, 630894@bugs.debian.org
Subject: Re: Bug#630893: ax25-apps: Should be removed from main
Date: Mon, 19 Mar 2012 14:28:50 -0500
[Message part 1 (text/plain, inline)]
GPL compatible 3-clause BSD license.

On Mon, Mar 19, 2012 at 1:53 PM, Sam Geeraerts <samgee@elmundolibre.be>wrote:

> Jeff White wrote:
>
>> I release all of my code from the rip-2 project (including ripdump.c)
>> under
>> the BSD license.
>>
>
> Hi Jeff,
>
> Thanks for relicensing. Just to be clear: by "the BSD license" do you mean
> the (GPL compatible) 3-clause BSD license [1] or the (GPL incompatible)
> 4-clause BSD license [2]? Both packages that use your code are under the
> GPL license, so the 3-clause license is needed.
>
> [1] http://www.gnu.org/licenses/**license-list.html#ModifiedBSD<http://www.gnu.org/licenses/license-list.html#ModifiedBSD>
> [2] http://www.gnu.org/licenses/**license-list.html#OriginalBSD<http://www.gnu.org/licenses/license-list.html#OriginalBSD>
>
> Regards,
> Sam Geeraerts
>



-- 
Jeff White
jwhite@white.nu
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Sat, 28 Apr 2012 06:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Sat, 28 Apr 2012 06:03:06 GMT) Full text and rfc822 format available.

Message #65 received at 630894@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: ralf@linux-mips.org
Cc: Jeff White <jwhite@white.nu>, Sam Geeraerts <samgee@elmundolibre.be>, Patrick Ouellette <pat@flying-gecko.net>, ax25@x-berg.in-berlin.de, 630893@bugs.debian.org, 630894@bugs.debian.org
Subject: [PATCH] Relicense listen/ripdump.c to permit commercial use and distribution
Date: Sat, 28 Apr 2012 00:48:03 -0500
Hi Ralf et al,

How about this patch?  Patch is against ax25-apps from cvs.linux-ax25.org.

-- >8 --
On Mon, Mar 19, 2012 at 02:28:50PM -0500, Jeff White wrote:
> On Mon, Mar 19, 2012 at 1:53 PM, Sam Geeraerts <samgee@elmundolibre.be>wrote:
>> Jeff White wrote:

>>> I release all of my code from the rip-2 project (including ripdump.c) under
>>> the BSD license.
>>>
>>
>> Hi Jeff,
>>
>> Thanks for relicensing. Just to be clear: by "the BSD license" do you mean
>> the (GPL compatible) 3-clause BSD license [1] or the (GPL incompatible)
>> 4-clause BSD license [2]? Both packages that use your code are under the
>> GPL license, so the 3-clause license is needed.
>>
>> [1] http://www.gnu.org/licenses/**license-list.html#ModifiedBSD<http://www.gnu.org/licenses/license-list.html#ModifiedBSD>
>> [2] http://www.gnu.org/licenses/**license-list.html#OriginalBSD<http://www.gnu.org/licenses/license-list.html#OriginalBSD>
>>
>> Regards,
>> Sam Geeraerts
>>
[...]
> GPL compatible 3-clause BSD license.
---
Thanks,
Jonathan

 ChangeLog        |    1 +
 listen/ripdump.c |   26 ++++++++++++++++++++++++--
 2 files changed, 25 insertions(+), 2 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 6ca7471f..b7c445e7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -6,6 +6,7 @@ ax25-apps (0.0.8)
 	* Support for UNIX98 pseudo terminals.
 	* New option -S to silence call for use in shell scripts.
 	* Add support for building rpm packages.
+	* Relicense listen/ripdump.c to permit commercial use and distribution.
 
 ax25-apps (0.0.7)
 	* Added opentrac to listen, Thanks to Scott Miller
diff --git a/listen/ripdump.c b/listen/ripdump.c
index 8a3f966e..2524ae16 100644
--- a/listen/ripdump.c
+++ b/listen/ripdump.c
@@ -2,8 +2,30 @@
  * Copyright 1991 Phil Karn, KA9Q
  *
  *  Changes Copyright (c) 1993 Jeff White - N0POY, All Rights Reserved.
- *  Permission granted for non-commercial copying and use, provided
- *  this notice is retained.
+ *
+ *  Redistribution and use in source and binary forms, with or without
+ *  modification, are permitted provided that the following conditions
+ *  are met:
+ *  1. Redistributions of source code must retain the above copyright
+ *     notice, this list of conditions and the following disclaimer.
+ *  2. Redistributions in binary form must reproduce the above copyright
+ *     notice, this list of conditions and the following disclaimer in the
+ *     documentation and/or other materials provided with the distribution.
+ *  3. Neither the name of the University nor the names of its contributors
+ *     may be used to endorse or promote products derived from this software
+ *     without specific prior written permission.
+ *
+ *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER(S) ``AS IS'' AND ANY
+ *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ *  PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT HOLDER(S) BE
+ *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
+ *  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+ *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+ *  OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
+ *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * Rehack for RIP-2 (RFC1388) by N0POY 4/1993
  *
-- 
1.7.10





Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Sun, 29 Apr 2012 01:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Ouellette <pouelle@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Sun, 29 Apr 2012 01:09:04 GMT) Full text and rfc822 format available.

Message #70 received at 630894@bugs.debian.org (full text, mbox):

From: Patrick Ouellette <pouelle@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 630893@bugs.debian.org
Cc: ralf@linux-mips.org, Jeff White <jwhite@white.nu>, Sam Geeraerts <samgee@elmundolibre.be>, ax25@x-berg.in-berlin.de, 630894@bugs.debian.org
Subject: Re: Bug#630893: [PATCH] Relicense listen/ripdump.c to permit commercial use and distribution
Date: Sat, 28 Apr 2012 21:04:26 -0400
What about just noting the license for ripdump.c is now BSD?
It is not like Jeff said "here I now license my work for commercial
use" (even if that is now possible).  He DID say BSD license.

Pat
  
On Sat, Apr 28, 2012 at 12:48:03AM -0500, Jonathan Nieder wrote:
> 
> Hi Ralf et al,
> 
> How about this patch?  Patch is against ax25-apps from cvs.linux-ax25.org.
> 
> -- >8 --
> On Mon, Mar 19, 2012 at 02:28:50PM -0500, Jeff White wrote:
> > On Mon, Mar 19, 2012 at 1:53 PM, Sam Geeraerts <samgee@elmundolibre.be>wrote:
> >> Jeff White wrote:
> 
> >>> I release all of my code from the rip-2 project (including ripdump.c) under
> >>> the BSD license.
> >>>
> >>
> >> Hi Jeff,
> >>
> >> Thanks for relicensing. Just to be clear: by "the BSD license" do you mean
> >> the (GPL compatible) 3-clause BSD license [1] or the (GPL incompatible)
> >> 4-clause BSD license [2]? Both packages that use your code are under the
> >> GPL license, so the 3-clause license is needed.
> >>
> >> [1] http://www.gnu.org/licenses/**license-list.html#ModifiedBSD<http://www.gnu.org/licenses/license-list.html#ModifiedBSD>
> >> [2] http://www.gnu.org/licenses/**license-list.html#OriginalBSD<http://www.gnu.org/licenses/license-list.html#OriginalBSD>
> >>
> >> Regards,
> >> Sam Geeraerts
> >>
> [...]
> > GPL compatible 3-clause BSD license.
> ---
> Thanks,
> Jonathan
> 
>  ChangeLog        |    1 +
>  listen/ripdump.c |   26 ++++++++++++++++++++++++--
>  2 files changed, 25 insertions(+), 2 deletions(-)
> 
> diff --git a/ChangeLog b/ChangeLog
> index 6ca7471f..b7c445e7 100644
> --- a/ChangeLog
> +++ b/ChangeLog
> @@ -6,6 +6,7 @@ ax25-apps (0.0.8)
>  	* Support for UNIX98 pseudo terminals.
>  	* New option -S to silence call for use in shell scripts.
>  	* Add support for building rpm packages.
> +	* Relicense listen/ripdump.c to permit commercial use and distribution.
>  
>  ax25-apps (0.0.7)
>  	* Added opentrac to listen, Thanks to Scott Miller
> diff --git a/listen/ripdump.c b/listen/ripdump.c
> index 8a3f966e..2524ae16 100644
> --- a/listen/ripdump.c
> +++ b/listen/ripdump.c
> @@ -2,8 +2,30 @@
>   * Copyright 1991 Phil Karn, KA9Q
>   *
>   *  Changes Copyright (c) 1993 Jeff White - N0POY, All Rights Reserved.
> - *  Permission granted for non-commercial copying and use, provided
> - *  this notice is retained.
> + *
> + *  Redistribution and use in source and binary forms, with or without
> + *  modification, are permitted provided that the following conditions
> + *  are met:
> + *  1. Redistributions of source code must retain the above copyright
> + *     notice, this list of conditions and the following disclaimer.
> + *  2. Redistributions in binary form must reproduce the above copyright
> + *     notice, this list of conditions and the following disclaimer in the
> + *     documentation and/or other materials provided with the distribution.
> + *  3. Neither the name of the University nor the names of its contributors
> + *     may be used to endorse or promote products derived from this software
> + *     without specific prior written permission.
> + *
> + *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER(S) ``AS IS'' AND ANY
> + *  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
> + *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
> + *  PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT HOLDER(S) BE
> + *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
> + *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
> + *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
> + *  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
> + *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
> + *  OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
> + *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
>   *
>   * Rehack for RIP-2 (RFC1388) by N0POY 4/1993
>   *
> -- 
> 1.7.10
> 
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-hams-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20120428054803.GA30191@burratino
> 
> 

-- 
,-----------------------------------------------------------------------------.
>   Patrick Ouellette         |    It is in pardoning that we are pardoned.   <
>   pat(at)flying-gecko.net   |    -- Francis of Assisi                       <
>   Amateur Radio: NE4PO      |                                               <
`-----------------------------------------------------------------------------'




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Sun, 29 Apr 2012 05:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Sun, 29 Apr 2012 05:51:07 GMT) Full text and rfc822 format available.

Message #75 received at 630894@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Patrick Ouellette <pouelle@debian.org>
Cc: 630893@bugs.debian.org, ralf@linux-mips.org, Jeff White <jwhite@white.nu>, Sam Geeraerts <samgee@elmundolibre.be>, ax25@x-berg.in-berlin.de, 630894@bugs.debian.org
Subject: Re: [PATCH] Relicense listen/ripdump.c to permit commercial use and distribution
Date: Sun, 29 Apr 2012 00:47:50 -0500
Patrick Ouellette wrote:

> What about just noting the license for ripdump.c is now BSD?

I assume that means you think the patch to listen/ripdump.c
itself is ok.  A changelog entry stating

 * The permission notice in listen/ripdump.c has been changed to
   use the BSD license.

or whatever wording is preferred sounds fine to me.

Thanks for looking it over,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Sat, 28 Jul 2012 20:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to shawn <shawnlandden@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Sat, 28 Jul 2012 20:03:07 GMT) Full text and rfc822 format available.

Message #80 received at 630894@bugs.debian.org (full text, mbox):

From: shawn <shawnlandden@gmail.com>
To: 630893@bugs.debian.org, 630894@bugs.debian.org, Jeff White <jwhite@white.nu>
Date: Sat, 28 Jul 2012 13:00:34 -0700
> + *  3. Neither the name of the University nor the names of its
contributors
> + *     may be used to endorse or promote products derived from this
software
> + *     without specific prior written permission.

Jeff is not a "University"
-- 
-Shawn Landden





Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Muszynski <do2ksm@linkt.de>:
Bug#630894; Package ax25spyd. (Mon, 06 Aug 2012 08:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastian Muszynski <do2ksm@linkt.de>. (Mon, 06 Aug 2012 08:15:05 GMT) Full text and rfc822 format available.

Message #85 received at 630894@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 630893@bugs.debian.org
Cc: Patrick Ouellette <pouelle@debian.org>, 630894@bugs.debian.org
Subject: Re: Bug#630893: [PATCH] Relicense listen/ripdump.c to permit commercial use and distribution
Date: Mon, 6 Aug 2012 10:10:40 +0200
[Message part 1 (text/plain, inline)]
On Sun, Apr 29, 2012 at 12:47:50AM -0500, Jonathan Nieder wrote:
> Patrick Ouellette wrote:
> 
> > What about just noting the license for ripdump.c is now BSD?
> 
> I assume that means you think the patch to listen/ripdump.c
> itself is ok.  A changelog entry stating
> 
>  * The permission notice in listen/ripdump.c has been changed to
>    use the BSD license.
> 
> or whatever wording is preferred sounds fine to me.

What's blocking this clarification from reaching the archive?
Furthermore: ax25spyd was removed unnecessarily in the end, should it be
reintroduced?

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 08:05:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:09:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.